<?php

/*
 * Get list by user role which is saved in database
 */
function iemus_get_list_by_role($rolename)
{
    $serialized = get_site_option('iem_mapping'); //get an serialized array from database
    $iem_list = unserialize($serialized);
    return $iem_list [$rolename][id];
}

/*
 * Get all roles in wordpress system
 */
function iemus_get_roles() {
    global $wp_roles;
    $all_roles = $wp_roles->roles;
    return $all_roles;
}

/*
 * Returns the translated role of the current user. If that user has no role for the current blog, it returns false.
 * @return string The name of the current role
 */
function iemus_get_userrole_byid($userid) {
    global $wp_roles;

    $user = get_userdata( $userid );

    $roles = $user->roles;

    $role = array_shift($roles);

    return isset($wp_roles->role_names[$role]) ? translate_user_role($wp_roles->role_names[$role] ) : false;
}

/*
 * get all user meta key in usermeta table
 */
function iemus_get_metafields()
{
    global $wpdb;
    $tableprefix = $wpdb->prefix;

    $query = 'SELECT DISTINCT (`meta_key`) FROM `'.$tableprefix.'usermeta`';
    $result = $wpdb->get_col($query, 0);

    return $result;
}


